import { __require as v } from "./index-utils10.js";
var d, g;
function y() {
  if (g) return d;
  g = 1;
  var r = v();
  return d = function(s, i) {
    i = i || {};
    var f = {};
    function a(n, t) {
      return r.isPlainObject(n) && r.isPlainObject(t) ? r.merge(n, t) : r.isEmptyObject(t) ? r.merge({}, n) : r.isPlainObject(t) ? r.merge({}, t) : r.isArray(t) ? t.slice() : t;
    }
    function h(n) {
      if (r.isUndefined(i[n])) {
        if (!r.isUndefined(s[n]))
          return a(void 0, s[n]);
      } else return a(s[n], i[n]);
    }
    function u(n) {
      if (!r.isUndefined(i[n]))
        return a(void 0, i[n]);
    }
    function e(n) {
      if (r.isUndefined(i[n])) {
        if (!r.isUndefined(s[n]))
          return a(void 0, s[n]);
      } else return a(void 0, i[n]);
    }
    function m(n) {
      if (n in i)
        return a(s[n], i[n]);
      if (n in s)
        return a(void 0, s[n]);
    }
    var C = {
      url: u,
      method: u,
      data: u,
      baseURL: e,
      transformRequest: e,
      transformResponse: e,
      paramsSerializer: e,
      timeout: e,
      timeoutMessage: e,
      withCredentials: e,
      withXSRFToken: e,
      adapter: e,
      responseType: e,
      xsrfCookieName: e,
      xsrfHeaderName: e,
      onUploadProgress: e,
      onDownloadProgress: e,
      decompress: e,
      maxContentLength: e,
      maxBodyLength: e,
      beforeRedirect: e,
      transport: e,
      httpAgent: e,
      httpsAgent: e,
      cancelToken: e,
      socketPath: e,
      responseEncoding: e,
      validateStatus: m
    };
    return r.forEach(Object.keys(s).concat(Object.keys(i)), function(t) {
      var l = C[t] || h, o = l(t);
      r.isUndefined(o) && l !== m || (f[t] = o);
    }), f;
  }, d;
}
export {
  y as __require
};
